FROM php:fpm-alpine

RUN apk add --update \
		autoconf \
		g++ \
		libtool \
		make \
	&& docker-php-ext-install mbstring \
	&& docker-php-ext-install opcache \
	&& apk add --update icu-dev \
	&& docker-php-ext-install intl \
	# && apk del \
	# 	autoconf \
	# 	binutils \
	# 	binutils-libs \
	# 	expat \
	# 	file \
	# 	g++ \
	# 	gcc \
	# 	gdbm \
	# 	gmp \
	# 	isl \
	# 	libatomic \
	# 	libbz2 \
	# 	libc-dev \
	# 	libffi \
	# 	libgcc \
	# 	libgomp \
	# 	libldap \
	# 	libltdl \
	# 	libmagic \
	# 	libsasl \
	# 	libstdc++ \
	# 	libtool \
	# 	m4 \
	# 	make \
	# 	mpc1 \
	# 	mpfr3 \
	# 	musl-dev \
	# 	perl \
	# 	pkgconf \
	# 	pkgconfig \
	# 	python \
	# 	re2c \
	# 	readline \
	# 	sqlite-libs \
	# 	zlib-dev \
	&& rm -rf /tmp/* /var/cache/apk/*